WriteNowEntry Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WriteNowEntry Struct Referencefinal

class to store entry in a WriteNow document More...

`#include <WriteNowEntry.hxx>`

Inheritance diagram for WriteNowEntry:

## Public Member Functions
| WriteNowEntry ()
| construtor More...
| WriteNowEntry (WriteNowEntry const &)=default
WriteNowEntry & | operator= (WriteNowEntry const &)=default
| ~WriteNowEntry () final
| destructor More...
bool | isZoneType () const
| returns true if this entry store a zone More...
bool | isZone () const
| returns true if this is a zone More...
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor More...
| MWAWEntry (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry const &)=default
virtual | ~MWAWEntry ()
| destructor More...
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long off)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid () const
| returns true if the zone length is positive More...
bool | operator== (const MWAWEntry &a) const
| basic operator== More...
bool | operator!= (const MWAWEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
std::string const & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &typ) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
std::string const & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the id More...
void | setId (int newId)
| sets the id More...
std::string const & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Public Attributes
int | m_fileType
| the file entry id More...
int | m_val [4]
| other values More...

## Friends
std::ostream & | operator<< (std::ostream &o, WriteNowEntry const &entry)
| operator<< More...

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
std::string | m_extra
| an extra string More...
int | m_id
| an identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...

## Detailed Description

class to store entry in a WriteNow document

## Constructor & Destructor Documentation

## ◆ WriteNowEntry() [1/2]

WriteNowEntry::WriteNowEntry | ( |  | ) |
| inline

construtor

## ◆ WriteNowEntry() [2/2]

WriteNowEntry::WriteNowEntry | ( | WriteNowEntry const & |  | ) |
| default

## ◆ ~WriteNowEntry()

WriteNowEntry::~WriteNowEntry | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ isZone()

bool WriteNowEntry::isZone | ( |  | ) | const
| inline

returns true if this is a zone

Referenced by WriteNowParser::parseGraphicZone(), and WriteNowParser::readDocEntries().

## ◆ isZoneType()

bool WriteNowEntry::isZoneType | ( |  | ) | const
| inline

returns true if this entry store a zone

Referenced by isZone(), and WriteNowParser::readEntry().

## ◆ operator=()

WriteNowEntry& WriteNowEntry::operator= | ( | WriteNowEntry const & |  | ) |
| default

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WriteNowEntry const & | entry
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_fileType

int WriteNowEntry::m_fileType

the file entry id

Referenced by WriteNowParser::checkHeader(), isZoneType(), WriteNowText::parseZone(), and WriteNowParser::readEntry().

## ◆ m_val

int WriteNowEntry::m_val[4]

other values

Referenced by WriteNowTextInternal::ContentZones::hasPageColumnBreak(), WriteNowText::parseContent(), WriteNowParser::parseGraphicZone(), WriteNowText::parseZone(), WriteNowParser::readEntry(), and WriteNowEntry().

The documentation for this struct was generated from the following files:

- WriteNowEntry.hxx
- WriteNowEntry.cxx